OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.DrawInstanced

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetEXTDrawInstanced :: MonadIO m => m Bool
- gl_EXT_draw_instanced :: Bool
- glDrawArraysInstancedEXT :: MonadIO m => GLenum -> GLint -> GLsizei -> GLsizei -> m ()
- glDrawElementsInstancedEXT :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> m ()

# Extension Support

glGetEXTDrawInstanced :: MonadIO m => m Bool Source #

Is the EXT_draw_instanced extension supported?

gl_EXT_draw_instanced :: Bool Source #

Is the EXT_draw_instanced extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTDrawInstanced` in those cases instead.

# Functions

glDrawArraysInstancedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLint | `start`.
-> GLsizei | `count`.
-> GLsizei | `primcount`.
-> m () |

This command is an alias for `glDrawArraysInstanced`.

glDrawElementsInstancedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> GLsizei | `primcount`.
-> m () |

This command is an alias for `glDrawElementsInstanced`.